Bug 121016 - Tighten up EventQueue classes a bit, less indirection and memory allocation
Summary: Tighten up EventQueue classes a bit, less indirection and memory allocation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-08 19:09 PDT by Darin Adler
Modified: 2019-02-06 09:04 PST (History)
4 users (show)

See Also:


Attachments
Patch (53.05 KB, patch)
2013-09-08 19:35 PDT, Darin Adler
kling: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2 (522.94 KB, application/zip)
2013-09-08 22:35 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2013-09-08 19:09:39 PDT
Tighten up EventQueue classes a bit, less indirection and memory allocation
Comment 1 Darin Adler 2013-09-08 19:35:12 PDT
Created attachment 211003 [details]
Patch
Comment 2 Andreas Kling 2013-09-08 20:04:15 PDT
Comment on attachment 211003 [details]
Patch

r=me.

Very nice, especially removing the ref count from DocumentEventQueue.
Comment 3 Build Bot 2013-09-08 22:35:32 PDT
Comment on attachment 211003 [details]
Patch

Attachment 211003 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/1725423

New failing tests:
fast/replaced/frame-removed-during-resize.html
inspector/storage-panel-dom-storage-update.html
scrollbars/scrollable-iframe-remove-crash.html
fast/replaced/frame-removed-during-resize-smaller.html
Comment 4 Build Bot 2013-09-08 22:35:33 PDT
Created attachment 211009 [details]
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-15  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.4
Comment 5 Darin Adler 2013-09-09 09:57:17 PDT
Committed r155356: <http://trac.webkit.org/changeset/155356>
Comment 6 Lucas Forschler 2019-02-06 09:04:19 PST
Mass moving XML DOM bugs to the "DOM" Component.